import { Observable } from 'rxjs';
import RealtimeClient from './realtime';
import type * as Types from './types';
export default class RealtimeAuthClient extends RealtimeClient {
    private auth$;
    constructor(key?: string, secret?: string);
    childOrderEvents(): Observable<Types.ChildOrderEvent>;
    parentOrderEvents(): Observable<Types.ParentOrderEvent>;
    protected subscribeAuth<T>(channel: string): Observable<T>;
    protected auth(key: string, secret: string): Promise<{
        jsonrpc: "2.0";
        result?: boolean | undefined;
        error?: {
            code: number;
            message: string;
        } | undefined;
        id: string;
    }>;
}
